<?xml version='1.0' encoding='UTF-8' ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <h:head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <h:outputStylesheet name="./css/default.css"/>
        <h:outputStylesheet name="./css/cssLayout.css"/>
        <title>Facelets Template</title>
    </h:head>

    <h:body>

        <div id="top" class="top">
            <ui:insert name="top">Top</ui:insert>
        </div>

        <div id="content" class="center_content">
            <ui:insert name="content">Content</ui:insert>
            <h:form rendered="#{loginBean.authed}">


                <h:dataTable var="vehicle" value="#{loginBean.allVehicles}">

                    <h:column>
                        <f:facet name="header">Make</f:facet>
                            #{vehicle.make}
                    </h:column>

                    <h:column>
                        <f:facet name="header">Model</f:facet>
                            #{vehicle.model}
                    </h:column>

                    <h:column>
                        <f:facet name="header">Year</f:facet>
                            #{vehicle.year}
                    </h:column>
                    <h:column>
                        <f:facet name="header">Delete</f:facet>
                        <h:commandButton value="Delete" action="#{loginBean.deleteVehicle(vehicle)}"></h:commandButton>
                    </h:column>
                </h:dataTable>
                <h:commandLink value="LOGOUT" action="#{loginBean.logOut()}"></h:commandLink>
                <h:dataTable>
                    <h:panelGrid>
                        <h:outputLabel value="Make"></h:outputLabel>
                        <h:inputText value="#{loginBean.make}"></h:inputText>
                        <h:outputLabel value="Model"></h:outputLabel>
                        <h:inputText value="#{loginBean.model}"></h:inputText>
                        <h:outputLabel value="Year"></h:outputLabel>
                        <h:inputText value="#{loginBean.year}"></h:inputText>
                    </h:panelGrid>
                    <h:commandButton value="ADD"></h:commandButton>
                </h:dataTable>
            </h:form>
        </div>

    </h:body>

</html>
